<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/html">
<head>
    <meta charset="UTF-8">
    <title>Books</title>
</head>
<body>
<h2>Dematic homework task: Books Rest API</h2>

<h3>Available endpoints</h3>
<p>POST a book:
<ul>
    <li>on localhost - <i>http://localhost:8080/api/public/book</i>
    <li>on heroku - <i>https://dematic-books.herokuapp.com/api/public/book</i></li>
</ul>

<p>POST an antique book:</p>
<ul>
    <li>on localhost - <i>http://localhost:8080/api/public/antique-book</i></li>
    <li>on heroku - <i>https://dematic-books.herokuapp.com/api/public/antique-book</i></li>
</ul>

<p>POST a science journal:</p>
<ul>
    <li>on localhost <i>http://localhost:8080/api/public/science-journal</i></li>
    <li>on heroku - <i>https://dematic-books.herokuapp.com/api/public/science-journal</i></li>
</ul>

<p>GET any type of book, by providing a valid barcode:</p>
<ul>
    <li>on localhost <i>http://localhost:8080/api/public/books/{barcode}</i></li>
    <li>on heroku - <i>https://dematic-books.herokuapp.com/api/public/books/{barcode}</i></li>
</ul>

<p>GET the total price of specific books:</p>
<ul>
    <li>on localhost <i>http://localhost:8080/api/public/books/{barcode}/amount</i></li>
    <li>on heroku - <i>https://dematic-books.herokuapp.com/api/public/books/{barcode}/amount</i></li>
</ul>

<p>Update (PUT) a book:</p>
<ul>
    <li>on localhost <i>http://localhost:8080/api/public/book/{barcode}</i></li>
    <li>on heroku - <i>https://dematic-books.herokuapp.com/api/public/book/{barcode}</i></li>
</ul>

<p>Update (PUT) an antique book:</p>
<ul>
    <li>on localhost <i>http://localhost:8080/api/public/antique-book/{barcode}</i></li>
    <li>on heroku - <i>https://dematic-books.herokuapp.com/api/public/antique-book/{barcode}</i></li>
</ul>

<p>Update (PUT) a science journal:</p>
<ul>
    <li>on localhost <i>http://localhost:8080/api/public/science-journal/{barcode}</i></li>
    <li>on heroku - <i>https://dematic-books.herokuapp.com/api/public/science-journal/{barcode}</i></li>
</ul>

<p>GET all books (for testing):</p>
<ul>
    <li>on localhost <i><a href="http://localhost:8080/api/public/books">http://localhost:8080/api/public/books</a></i></li>
    <li>on heroku - <i><a href="https://dematic-books.herokuapp.com/api/public/books">https://dematic-books.herokuapp.com/api/public/books</a></i></li>
</ul>

<h3>Request examples:</h3>
<p><strong>POST new book:</strong> {
    "name": "Book Title",
    "author": "Name Lastname",
    "barcode": "3464579015730",
    "quantity": 2,
    "pricePerUnit": 1.11
    }</p>
<p><strong>POST new antique book:</strong> {
    "name": "Book Title 2",
    "author": "Name2 Lastname2",
    "barcode": "7644700158109",
    "quantity": 3,
    "pricePerUnit": 2.22,
    "releaseYear": 1900
    }</p>
<p><strong>POST new science journal:</strong> {
    "name": "Book Title 3",
    "author": "Name3 Lastname3",
    "barcode": "0399378143861",
    "quantity": 4,
    "pricePerUnit": 33.33,
    "scienceIndex": 2
    }</p>
</body>
</html>
